Bug 65065 - Upgrade fails from 7.2 with software raid and reiserfs
Upgrade fails from 7.2 with software raid and reiserfs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-16 18:02 EDT by Craig Servin
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-31 16:07:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Craig Servin 2002-05-16 18:02:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0; Linux; en, en_US)

Description of problem:
After the upgrade option is selected anaconda responds that there are no linux partitions.  I used the updates floppy from bug id 64720 and it did not help.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot from CD
2.Use update floppy that is suposed to repair the raid update problem from bug id 64720
3.
 

Expected Results:  Sould have been able to upgrade from 7.2

Additional info:

[root@dino root]# fdisk /dev/hda

The number of cylinders for this disk is set to 119150.
There is nothing wrong with that, but this is larger than 1024,
and could in certain setups cause problems with:
1) software that runs at boot time (e.g., old versions of LILO)
2) booting and partitioning software from other OSs
   (e.g., DOS FDISK, OS/2 FDISK)

Command (m for help): p

Disk /dev/hda: 16 heads, 63 sectors, 119150 cylinders
Units = cylinders of 1008 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hda1   *         1        41     20632+  fd  Linux raid autodetect
/dev/hda2            42    119150  60030936    5  Extended
/dev/hda5            42       397    179392+  fd  Linux raid autodetect
/dev/hda6           398       814    210136+  fd  Linux raid autodetect
/dev/hda7           815      1855    524632+  fd  Linux raid autodetect
/dev/hda8          1856    119150  59116648+  fd  Linux raid autodetect

Command (m for help): q

[root@dino root]# fdisk /dev/hdc

The number of cylinders for this disk is set to 119150.
There is nothing wrong with that, but this is larger than 1024,
and could in certain setups cause problems with:
1) software that runs at boot time (e.g., old versions of LILO)
2) booting and partitioning software from other OSs
   (e.g., DOS FDISK, OS/2 FDISK)

Command (m for help): p

Disk /dev/hdc: 16 heads, 63 sectors, 119150 cylinders
Units = cylinders of 1008 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hdc1   *         1        41     20632+  fd  Linux raid autodetect
/dev/hdc2            42    119150  60030936    5  Extended
/dev/hdc5            42       397    179392+  fd  Linux raid autodetect
/dev/hdc6           398       814    210136+  fd  Linux raid autodetect
/dev/hdc7           815      1855    524632+  fd  Linux raid autodetect
/dev/hdc8          1856    119150  59116648+  fd  Linux raid autodetect

Command (m for help): q
[root@dino root]# df -kHT
Filesystem    Type    Size  Used Avail Use% Mounted on
/dev/md4  reiserfs     60G   44G   16G  72% /
none         tmpfs    131M     0  130M   0% /dev/shm
/dev/md0      ext3     20M   10M  9.3M  52% /boot
/dev/md1  reiserfs    184M  126M   58M  69% /tmp
/dev/md2  reiserfs    215M  121M   94M  57% /var
Comment 1 Jeremy Katz 2002-10-31 17:29:30 EST
This should work with Red Hat Linux 8.0, although reiserfs is officially
unsupported.
Comment 2 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated

Note You need to log in before you can comment on or make changes to this bug.